Eclipse Platform Release 3.7

## org.eclipse.ui.texteditor
Class ValidateStateException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.eclipse.core.runtime.CoreException
                  org.eclipse.ui.texteditor.ValidateStateException

All Implemented Interfaces:
  Serializable

Deprecated. No longer used, create a `CoreException` instead

    public class ValidateStateException

extends CoreException

Formerly thrown by `AbstractDocumentProvider.doValidateState(Object, Object)`.

This class is not intended to be serialized.

Since:
  2.1
See Also:
  Serialized Form

Constructor Summary
`ValidateStateException(IStatus status)` Deprecated.

Method Summary

Methods inherited from class org.eclipse.core.runtime.CoreException
`getCause, getStatus, printStackTrace, printStackTrace, printStackTrace`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, initCause, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ValidateStateException

    public ValidateStateException(IStatus status)

  Deprecated.

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.